Unit DATA; { PUBLIC for .ASM }

Interface

Var
 DOSErr:byte;
 RAMSeg:word; RAM:pointer;
 ROMSeg:word; ROM:pointer;
 CIOSeg:word;
 VGASeg:word;
 VGAOfs:word;

 opJAM:byte;

 Ticks      :longint;
 Cycles     :word;
 TotalCycles:longint;
 Rate       :word;

 PC,A,X,Y,S:word;
 P:set of (Cflag,ZFlag,IFlag,DFlag,BFlag,_Flag,VFlag,NFlag);

 Raster:word;

 ColorMatrix:array[0..39] of byte;
 VideoMatrix:array[0..39] of byte;
 CharsMatrix:array[0..39] of byte;

 Bank     :word;
 VideoOfs :word;
 BitmapOfs:word;
 CharGen  :pointer;

 KeyMatrix:array[0..7] of byte;
 RevMatrix:array[0..7] of byte;

 { CIA }
 TimerA1:word;
 TimerB1:word;
 TimerA2:word;
 TimerB2:word;

 JoyState:byte;
 JoyStick:byte;

 SIDAddr :word;
 SIDPoke :byte;

 SkipCount:word;

 mstimer:word;


Implementation

end.